Bug 1640448 - path_resolution on an autofs managed path resets the timer. Can this be made configurable?
Summary: path_resolution on an autofs managed path resets the timer. Can this be made ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: autofs
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: Kun Wang
URL:
Whiteboard:
Depends On: 1653208 1672134
Blocks: 1577173 1689467
TreeView+ depends on / blocked
 
Reported: 2018-10-18 05:21 UTC by Laxminarayan
Modified: 2020-04-02 19:04 UTC (History)
4 users (show)

Fixed In Version: autofs-5.0.7-101.el7
Doc Type: Enhancement
Doc Text:
By default the expire of automounted mounts depends on the last access. In very large environments this helps reduce the number of mount requests from clients which can be significant. But this can lead to mounts not being umounted when monitoring services scan directory trees containing automounts. In this case it can be beneficial to expire mounts based on whether they are actually in use (ie. contain a process working directory of open files), the so-called strict expire. To allow for this later case a master map entry mount option, strictexpire, has been added. This mount option causes mounts to expire based on whether they are actually in use. To enable this behaviour the mount option "strictexpire" needs to be added to automount master map entries and the expire behaviour will change if the kernel in use supports it.
Clone Of:
: 1653208 1689467 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:10:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch - add strictexpire mount option (7.08 KB, patch)
2019-01-22 10:37 UTC, Ian Kent
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3225981 None None None 2018-11-19 22:38:03 UTC
Red Hat Product Errata RHBA-2019:2250 None None None 2019-08-06 13:10:39 UTC

Comment 3 Murphy Zhou 2018-10-19 03:19:11 UTC
Way too late for 7.6

Comment 7 Ian Kent 2019-01-22 10:37:37 UTC
Created attachment 1522374 [details]
Patch - add strictexpire mount option

Comment 11 errata-xmlrpc 2019-08-06 13:10:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2250


Note You need to log in before you can comment on or make changes to this bug.